## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestSeqOpType Struct Reference

The seqop type is responsible for the creation of seqop factories. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual csPtr< iQuestSeqOpFactory > | CreateSeqOpFactory ()=0
| Create a sequence operation factory.
virtual const char * | GetName () const =0
| Return the name for this sequence operation type.

## Detailed Description

The seqop type is responsible for the creation of seqop factories.

If you want to define a new type of sequence operation then you must implement iQuestSeqOpType, iQuestSeqOpFactory, and iQuestSeqOp. You register seqop types with the quest manager so that they can be used by seqop factories.

Definition at line 338 of file questmanager.h.

## Member Function Documentation

virtual csPtr<iQuestSeqOpFactory> iQuestSeqOpType::CreateSeqOpFactory | ( |  | ) | `[pure virtual]`

| Create a sequence operation factory.

virtual const char* iQuestSeqOpType::GetName | ( |  | ) | const`[pure virtual]`

| Return the name for this sequence operation type.

The documentation for this struct was generated from the following file:

- tools/questmanager.h